.ars-combat-hud {
    background: transparent;
    box-shadow: none;
    border-radius: 5px;

    header {
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
    }

    @keyframes pulseAnimation {
        0% {
            transform: scale(1);
            opacity: 1;
        }
        50% {
            transform: scale(1.1);
            opacity: 0.7;
        }
        100% {
            transform: scale(1);
            opacity: 1;
        }
    }

    @keyframes combinedPulseFlashEffect {
        0%,
        100% {
            transform: scale(1); /* Original size */
            opacity: 1; /* Fully visible */
            color: var(--ars_highlight); /* Starting and ending highlight color */
        }
        25% {
            transform: scale(1.1); /* Pulse effect */
            opacity: 0.75; /* Slight flash effect */
            color: var(--ars_red); /* Changing to red */
        }
        50% {
            opacity: 0.65; /* Flash effect */
            color: var(--ars_yellow); /* Mid-cycle */
        }
        75% {
            transform: scale(1.1); /* Pulse effect again */
            opacity: 0.75; /* Returning from flash */
            color: var(--ars_red); /* Starting to transition back to white */
        }
    }

    .window-resizable-handle {
        display: none;
    }

    &:hover {
        background-color: rgba(0, 0, 0, 0.37);
        .window-resizable-handle {
            display: block;
        }
    }

    .window-header {
        background: var(--ars_purple_dark_header);
        border-bottom: none;
    }

    .window-content {
        background: transparent;
    }

    .main-mini-combat-hud {
        margin: -8px;
        margin-bottom: 10px;
    }

    .mini-combat-hud-subheader {
        display: flex;
        // grid-template-columns: 35% 65%;
        // grid-template-rows: 1fr;
        // column-gap: 5px;
        background-color: var(--ars_purple_darker);
        font-size: 0.85em;
    }

    /* Specific styling for elements under 'mini-hud-sa' and 'mini-hud-sd' classes */
    .specials-group {
        color: white;
        overflow-wrap: break-word; /* Allows the text to wrap onto the next line */

        .mini-hud-sa {
            padding: 8px 0px 2px 8px;
        }

        .mini-hud-sd,
        .mini-hud-attack-track {
            padding: 8px 0px 2px 8px;
        }
    }

    .mini-hud-sdsa-features .specials-group {
        display: flex;
        justify-content: flex-start;
        flex-wrap: wrap;
        padding: 5px;
    }

    $effect-image-size: 24px;
    .mini-hud-effect {
        display: flex;
        justify-content: flex-start;
        flex-wrap: wrap;
        padding: 3px;

        .effect {
            margin-left: 8px;
        }

        .effect-content {
            color: white;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .effect-content:hover img {
            transform: scale(1.3); /* Scale the icon to 130% of its size */
            transition: transform 0.3s ease; /* Smooth transition for the transform */
        }

        .effect-image {
            flex: 0 0 $effect-image-size;
            height: $effect-image-size;
            background-size: $effect-image-size;
            border: none;
            flex-shrink: 1;
            margin-right: 6px;
        }
    }

    .hud-mini-popup {
        background-color: black;
        padding: 1px;
        margin: 2px;
    }

    .action-buttons-menu {
        display: flex;
        flex-direction: row;
        flex-flow: wrap;

        .vertical-bar {
            display: flex;
            justify-content: center;
            flex-direction: column;
            text-align: center;
            overflow: hidden;
            background-color: var(--ars_purple_light2);
            color: white;
            width: 50px;
            height: 50px;
            border-radius: 6px;
            border: 1px solid #636363;
            font-size: var(--font-size-20);
            cursor: pointer;
        }

        .vertical-bar:hover {
            background-color: #918c8c !important;
        }

        .vertical-bar.collapsed {
            background-color: var(--ars_purple_darker);
            border-radius: 6px;
            border: 1px solid rgb(56, 56, 56);
        }

        legend {
            color: white;
            background-color: var(--ars_red_dark);
            font-size: var(--font-size-12);
            margin-bottom: 5px;
        }
        .item-titles {
            padding: 0;
        }

        .mini-action-button {
            padding: 1px;
            margin: 1px;
            height: 50px;
            width: 100%;
            word-wrap: break-word;
            border: 0.5px solid #fff;
            overflow: hidden;
            border-radius: 6px;
            .memorization-slot {
                border: none;
            }
        }

        li.mini-action {
            height: 50px;
            width: 50px;
            border-radius: 6px;
            transform: translateX(0);
            opacity: 1;
            transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out, width 0.3s ease-in-out;

            &:hover,
            &:focus {
                transform: scale(1.2);
                cursor: pointer;
            }
        }
        .mini-action.collapsed {
            transform: translateX(-100%);
            opacity: 0;
            width: 0px !important;
            .action-name {
                display: none !important;
            }
        }

        .memorization-slot {
            border: none;
            margin: 0px;
        }
        .mini-actions-list .mini-action .action-name,
        .item-name {
            color: #fff;
            background: var(--color-border-dark-1);
            background-color: rgba(0, 0, 0, 0.5); /* Grey background with 50% transparency */
            position: relative;
            overflow: hidden;
            max-height: 36px;
            font-size: 0.98em;
        }

        .hud-actions {
            pointer-events: all;
            // margin: 2px;

            .mini-actions-buttons {
                margin-bottom: 4px;
                color: white;
                border: none;
                display: flex;
                flex-wrap: wrap;
                justify-content: left;
                align-items: center;
                // gap: 1px;
                margin: auto;
                list-style: none;
                // background-color: $hud-background-color;

                .noAmmoLeft {
                    opacity: 0.5;
                }

                // had to get this specific for it to work, not a fan
                .memorization-used {
                    opacity: 0.5;
                }

                .with-background-image {
                    background-size: 100%;
                    .item-name {
                        text-shadow: 0 0 3px #ffffff;
                    }
                }

                .no-image {
                    color: black;
                    background-color: rgb(194, 192, 192);
                    -webkit-text-stroke: 0.25px white;
                    .item-name {
                        text-shadow: 0 0 3px #918c8c;
                    }
                }

                .action-name {
                    border: 0.5px solid #666;
                    background-color: rgba(0, 0, 0, 0.25); /* black background with 25% transparency */
                    text-align: center;
                    font-size: 0.7em;
                    // overflow: hidden;
                    // text-overflow: ellipsis;
                }

                //
                // combat mini-hud init controls start here
                //
                .mini-action-init,
                .mini-action-delayturn,
                .mini-action-endturn {
                    position: relative;
                    background-color: var(--ars_purple_darker);
                }

                .mini-action-init i,
                .mini-action-delayturn i,
                .mini-action-endturn i {
                    position: absolute;
                    font-size: 32px;
                    top: 2px;
                }

                .initiative-control.roll {
                    display: inline-flex;
                    align-items: center;
                    justify-content: center;
                    animation: pulseAnimation 2s;
                    animation-iteration-count: 3;
                }
                .initiative-control.end-turn {
                    animation: combinedPulseFlashEffect 4s;
                    animation-iteration-count: 3;
                }
                .initiative-control:hover i {
                    transform: scale(1.5); /* Scale the icon to 130% of its size */
                    transition: transform 0.3s ease; /* Smooth transition for the transform */
                }

                .mini-action-init i {
                    color: rgb(2, 155, 65);
                    font-size: 32px;
                    left: 7px;
                }

                .mini-action-delayturn i {
                    color: rgb(233, 165, 38);
                    font-size: 32px;
                    position: absolute;
                    left: 10px;
                }

                .mini-action-endturn i {
                    color: rgb(250, 0, 0);
                    font-size: 32px;
                    position: absolute;
                    left: 10px;
                }

                .mini-action-init .item-name,
                .mini-action-endturn .item-name {
                    top: 22px;
                    height: auto;
                }
                .mini-action-delayturn .item-name {
                    top: 34px;
                    height: auto;
                }
                //
                // combat mini-hud init controls
                //

                .noCharges {
                    opacity: 0.5;
                }
            }
        }
    } // end action-buttons-menu
}
